org.ajax4jsf.component

## Class UIInclude

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.ajax4jsf.component.UIInclude

- All Implemented Interfaces:
    javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxOutput, org.ajax4jsf.context.ViewIdHolder
  Direct Known Subclasses:
    Include

      public abstract class UIInclude
      extends javax.faces.component.UIComponentBase
      implements org.ajax4jsf.context.ViewIdHolder, javax.faces.component.NamingContainer, org.ajax4jsf.component.AjaxOutput

  Author:
    shura

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `LAYOUT_BLOCK`
    `static java.lang.String` | `LAYOUT_INLINE`
    `static java.lang.String` | `LAYOUT_NONE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIInclude()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getLayout()`
    `java.lang.String` | `getViewId()`
    `boolean` | `isAjaxRendered()`
    `boolean` | `isWasNavigation()`
    `void` | `processDecodes(javax.faces.context.FacesContext context)`
    `void` | `processUpdates(javax.faces.context.FacesContext context)`
    `void` | `processValidators(javax.faces.context.FacesContext context)`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAjaxRendered(boolean ajaxRendered)`
    `void` | `setLayout(java.lang.String layout)`
    `void` | `setViewId(java.lang.String __viewId)`
    `boolean` | `skipNavigation(java.lang.String ViewId)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxOutput

      `isKeepTransient, setKeepTransient`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### LAYOUT_NONE

          public static final java.lang.String LAYOUT_NONE

      See Also:
        Constant Field Values

    - #### LAYOUT_BLOCK

          public static final java.lang.String LAYOUT_BLOCK

      See Also:
        Constant Field Values

    - #### LAYOUT_INLINE

          public static final java.lang.String LAYOUT_INLINE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIInclude

          public UIInclude()

  - ### Method Detail

    - #### skipNavigation

          public boolean skipNavigation(java.lang.String ViewId)

      Specified by:
        `skipNavigation` in interface `org.ajax4jsf.context.ViewIdHolder`

    - #### setViewId

          public void setViewId(java.lang.String __viewId)

      Specified by:
        `setViewId` in interface `org.ajax4jsf.context.ViewIdHolder`

    - #### getViewId

          public java.lang.String getViewId()

      Specified by:
        `getViewId` in interface `org.ajax4jsf.context.ViewIdHolder`

    - #### getLayout

          public java.lang.String getLayout()

      Returns:
        the layout

    - #### setLayout

          public void setLayout(java.lang.String layout)

      Parameters:
        `layout` - the layout to set

    - #### isAjaxRendered

          public boolean isAjaxRendered()

      Specified by:
        `isAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`

    - #### setAjaxRendered

          public void setAjaxRendered(boolean ajaxRendered)

      Specified by:
        `setAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `javax.faces.component.UIComponentBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext context)

      Overrides:
        `processDecodes` in class `javax.faces.component.UIComponentBase`

    - #### processUpdates

          public void processUpdates(javax.faces.context.FacesContext context)

      Overrides:
        `processUpdates` in class `javax.faces.component.UIComponentBase`

    - #### processValidators

          public void processValidators(javax.faces.context.FacesContext context)

      Overrides:
        `processValidators` in class `javax.faces.component.UIComponentBase`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### isWasNavigation

          public boolean isWasNavigation()

      Returns:
        the wasNavigation

Copyright © 2014. All Rights Reserved.